Name: H5Pexist
Signature:
  htri_t `H5Pexist`( hid_t `id`, const char *`name` )
Purpose:
  Queries whether a property name exists in a property list or class.
Description:
  `H5Pexist` determines whether a property exists within a property list or class.
Parameters:

hid_t `id` | IN: Identifier for the property to query
const char *`name` | IN: Name of property to check for

Returns:
  Success: a positive value if the property exists in the property object; zero if the property does not exist
  Failure: a negative value
Fortran90 Interface: h5pexist_f

      SUBROUTINE h5pexist_f(prp_id, name, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        CHARACTER(LEN=*), INTENT(IN) :: name  ! Name of property to modify
        LOGICAL, INTENT(OUT) :: flag          ! Logical flag
                                              !    .TRUE. if exists
                                              !    .FALSE. otherwise
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pexist_f